com.sun.grid.jgdi.monitoring.filter

## Class JobStateFilter.State

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.filter.JobStateFilter.State

- Enclosing class:
    JobStateFilter

      public static class JobStateFilter.State
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `State(int mask, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMask()`
    `java.lang.String` | `getValue()`
    `boolean` | `isSet(int state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### State

          public State(int mask,
                       java.lang.String value)

  - ### Method Detail

    - #### getMask

          public int getMask()

    - #### getValue

          public java.lang.String getValue()

    - #### isSet

          public boolean isSet(int state)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.